Data
====

Data wrappers and helpers.

Field Meta
^^^^^^^^^^

.. automodule:: nupic.data.field_meta
   :members:

FileRecordStream
^^^^^^^^^^^^^^^^

.. automodule:: nupic.data.file_record_stream

.. autoclass:: nupic.data.file_record_stream.FileRecordStream
   :members:

RecordStream
^^^^^^^^^^^^

.. automodule:: nupic.data.record_stream

.. autoclass:: nupic.data.record_stream.RecordStreamIface
   :members:

StreamReader
^^^^^^^^^^^^

.. automodule:: nupic.data.stream_reader

.. autoclass:: nupic.data.stream_reader.StreamReader
   :members:

Stream Definition
^^^^^^^^^^^^^^^^^

See an example at :doc:`stream-def`.

Utilities
^^^^^^^^^

.. automodule:: nupic.data.utils
   :members:

.. autodata:: nupic.data.utils.DATETIME_FORMATS
   :annotation:
